Package com.enonic.xp.scheduler

## Class ScheduledJob.Builder

- java.lang.Object
- - com.enonic.xp.scheduler.ScheduledJob.Builder

- Enclosing class:
    ScheduledJob

      public static class ScheduledJob.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ScheduledJob` | `build()` |
    `ScheduledJob.Builder` | `calendar​(ScheduleCalendar calendar)` |
    `ScheduledJob.Builder` | `config​(PropertyTree config)` |
    `ScheduledJob.Builder` | `createdTime​(Instant createdTime)` |
    `ScheduledJob.Builder` | `creator​(PrincipalKey creator)` |
    `ScheduledJob.Builder` | `description​(String description)` |
    `ScheduledJob.Builder` | `descriptor​(DescriptorKey descriptor)` |
    `ScheduledJob.Builder` | `enabled​(boolean enabled)` |
    `ScheduledJob.Builder` | `lastRun​(Instant lastRun)` |
    `ScheduledJob.Builder` | `lastTaskId​(TaskId lastTaskId)` |
    `ScheduledJob.Builder` | `modifiedTime​(Instant modifiedTime)` |
    `ScheduledJob.Builder` | `modifier​(PrincipalKey modifier)` |
    `ScheduledJob.Builder` | `name​(ScheduledJobName name)` |
    `ScheduledJob.Builder` | `user​(PrincipalKey user)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### name

          public ScheduledJob.Builder name​(ScheduledJobName name)

    - #### description

          public ScheduledJob.Builder description​(String description)

    - #### calendar

          public ScheduledJob.Builder calendar​(ScheduleCalendar calendar)

    - #### enabled

          public ScheduledJob.Builder enabled​(boolean enabled)

    - #### descriptor

          public ScheduledJob.Builder descriptor​(DescriptorKey descriptor)

    - #### config

          public ScheduledJob.Builder config​(PropertyTree config)

    - #### user

          public ScheduledJob.Builder user​(PrincipalKey user)

    - #### creator

          public ScheduledJob.Builder creator​(PrincipalKey creator)

    - #### modifier

          public ScheduledJob.Builder modifier​(PrincipalKey modifier)

    - #### createdTime

          public ScheduledJob.Builder createdTime​(Instant createdTime)

    - #### modifiedTime

          public ScheduledJob.Builder modifiedTime​(Instant modifiedTime)

    - #### lastRun

          public ScheduledJob.Builder lastRun​(Instant lastRun)

    - #### lastTaskId

          public ScheduledJob.Builder lastTaskId​(TaskId lastTaskId)

    - #### build

          public ScheduledJob build()